## javax.servlet
Interface FilterChain

    public interface FilterChain

A FilterChain is an object provided by the servlet container to the developer giving a view into the invocation chain of a filtered request for a resource. Filters use the FilterChain to invoke the next filter in the chain, or if the calling filter is the last filter in the chain, to invoke the resource at the end of the chain.

Since:
  Servlet 2.3
See Also:
  `Filter`

Method Summary
`void` `doFilter(ServletRequest request, ServletResponse response)` Causes the next filter in the chain to be invoked, or if the calling filter is the last filter in the chain, causes the resource at the end of the chain to be invoked.

Method Detail

### doFilter

    void doFilter(ServletRequest request,
                  ServletResponse response)
                  throws IOException,
                         ServletException

  Causes the next filter in the chain to be invoked, or if the calling filter is the last filter in the chain, causes the resource at the end of the chain to be invoked.

  Parameters:
    `request` - the request to pass along the chain.
    `response` - the response to pass along the chain.
  Throws:
    `IOException`
    `ServletException`
  Since:
    2.3

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.